> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1aumedicareproviders register



## OpenAPI

````yaml https://api.halth.com/v1/au/api-yaml post /v1/au/medicare/providers/{providerId}/register
openapi: 3.0.0
info:
  title: GovAU Connect Service
  description: HaltH connector for Australian Government services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security:
  - apiKey: []
tags: []
paths:
  /v1/au/medicare/providers/{providerId}/register:
    post:
      tags:
        - Provider
      operationId: ProviderController_sendRegistration
      parameters:
        - name: providerId
          required: true
          in: path
          schema:
            type: string
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MedicareProvider'
components:
  schemas:
    MedicareProvider:
      type: object
      properties:
        id:
          type: string
        providerNumber:
          type: string
        status:
          enum:
            - inactive
            - pending
            - active
            - paused
          type: string
        registrationFileId:
          type: string
        createdAt:
          format: date-time
          type: string
        registrationSentAt:
          format: date-time
          type: string
      required:
        - id
        - providerNumber
        - status
        - registrationFileId
        - createdAt

````